bridgeif.h File Reference
`#include "netif/bridgeif_opts.h"`
`#include "lwip/err.h"`
`#include "lwip/prot/ethernet.h"`
`#include "lwip/tcpip.h"`

## Data Structures

struct | bridgeif_initdata_s

## Macros

#define | BRIDGEIF_INITDATA1(max_ports, max_fdb_dynamic_entries, max_fdb_static_entries, ethaddr) {ethaddr, max_ports, max_fdb_dynamic_entries, max_fdb_static_entries}
#define | BRIDGEIF_INITDATA2(max_ports, max_fdb_dynamic_entries, max_fdb_static_entries, e0, e1, e2, e3, e4, e5) {{e0, e1, e2, e3, e4, e5}, max_ports, max_fdb_dynamic_entries, max_fdb_static_entries}

## Typedefs

typedef struct bridgeif_initdata_s | bridgeif_initdata_t

## Functions

err_t | bridgeif_init (struct netif *netif)
err_t | bridgeif_add_port (struct netif *bridgeif, struct netif *portif)
err_t | bridgeif_fdb_add (struct netif *bridgeif, const struct eth_addr *addr, bridgeif_portmask_t ports)
err_t | bridgeif_fdb_remove (struct netif *bridgeif, const struct eth_addr *addr)
void | bridgeif_fdb_update_src (void *fdb_ptr, struct eth_addr *src_addr, u8_t port_idx)
bridgeif_portmask_t | bridgeif_fdb_get_dst_ports (void *fdb_ptr, struct eth_addr *dst_addr)
void * | bridgeif_fdb_init (u16_t max_fdb_entries)

## Detailed Description

lwIP netif implementing an IEEE 802.1D MAC Bridge